All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
norm_2.hpp File Reference

Generic interface for the l^2-norm. See viennacl/linalg/vector_operations.hpp for implementations. More...

`#include <cmath>`
`#include "viennacl/forwards.h"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/meta/enable_if.hpp"`
`#include "viennacl/meta/tag_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename T , typename A >
T | viennacl::linalg::norm_2 (std::vector< T, A > const &v1)
template<typename ScalarType >
viennacl::scalar_expression < const viennacl::vector_base < ScalarType >, const viennacl::vector_base < ScalarType > , viennacl::op_norm_2 > | viennacl::linalg::norm_2 (viennacl::vector_base< ScalarType > const &v)
template<typename LHS , typename RHS , typename OP >
viennacl::scalar_expression < const viennacl::vector_expression < const LHS, const RHS, OP > , const viennacl::vector_expression < const LHS, const RHS, OP > , viennacl::op_norm_2 > | viennacl::linalg::norm_2 (viennacl::vector_expression< const LHS, const RHS, OP > const &vector)

## Detailed Description

Generic interface for the l^2-norm. See viennacl/linalg/vector_operations.hpp for implementations.

Definition in file norm_2.hpp.